## python-proto-plus 1.24.0

=== .kokoro/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --allow-unsafe --generate-hashes requirements.in
#
argcomplete==3.1.4 \
    --hash=sha256:72558ba729e4c468572609817226fb0a6e7e9a0a7d477b882be168c0b4a62b94 \
    --hash=sha256:fbe56f8cda08aa9a04b307d8482ea703e96a6a801611acb4be9bf3942017989f
    # via nox
attrs==23.1.0 \
    --hash=sha256:1f28b4522cdc2fb4256ac1a020c78acf9cba2c6b461ccd2c126f3aa8e8335d04 \
    --hash=sha256:6279836d581513a26f1bf235f9acd333bc9115683f14f7e8fae46c98fc50e015
    # via gcp-releasetool
cachetools==5.3.2 \
    --hash=sha256:086ee420196f7b2ab9ca2db2520aca326318b68fe5ba8bc4d49cca91add450f2 \
    --hash=sha256:861f35a13a451f94e301ce2bec7cac63e881232ccce7ed67fab9b5df4d3beaa1
    # via google-auth
certifi==2023.7.22 \
    --hash=sha256:539cc1d13202e33ca466e88b2807e29f4c13049d6d87031a3c110744495cb082 \
    --hash=sha256:92d6037539857d8206b8f6ae472e8b77db8058fec5937a1ef3f54304089edbb9
    # via requests
cffi==1.16.0 \
    --hash=sha256:0c9ef6ff37e974b73c25eecc13952c55bceed9112be2d9d938ded8e856138bcc \
    --hash=sha256:131fd094d1065b19540c3d72594260f118b231090295d8c34e19a7bbcf2e860a \
    --hash=sha256:1b8ebc27c014c59692bb2664c7d13ce7a6e9a629be20e54e7271fa696ff2b417 \
    --hash=sha256:2c56b361916f390cd758a57f2e16233eb4f64bcbeee88a4881ea90fca14dc6ab \
    --hash=sha256:2d92b25dbf6cae33f65005baf472d2c245c050b1ce709cc4588cdcdd5495b520 \
    --hash=sha256:31d13b0f99e0836b7ff893d37af07366ebc90b678b6664c955b54561fc36ef36 \
    --hash=sha256:32c68ef735dbe5857c810328cb2481e24722a59a2003018885514d4c09af9743 \
    --hash=sha256:3686dffb02459559c74dd3d81748269ffb0eb027c39a6fc99502de37d501faa8 \
    --hash=sha256:582215a0e9adbe0e379761260553ba11c58943e4bbe9c36430c4ca6ac74b15ed \
    --hash=sha256:5b50bf3f55561dac5438f8e70bfcdfd74543fd60df5fa5f62d94e5867deca684 \
    --hash=sha256:5bf44d66cdf9e893637896c7faa22298baebcd18d1ddb6d2626a6e39793a1d56 \
    --hash=sha256:6602bc8dc6f3a9e02b6c22c4fc1e47aa50f8f8e6d3f78a5e16ac33ef5fefa324 \
    --hash=sha256:673739cb539f8cdaa07d92d02efa93c9ccf87e345b9a0b556e3ecc666718468d \
    --hash=sha256:68678abf380b42ce21a5f2abde8efee05c114c2fdb2e9eef2efdb0257fba1235 \
    --hash=sha256:68e7c44931cc171c54ccb702482e9fc723192e88d25a0e133edd7aff8fcd1f6e \
    --hash=sha256:6b3d6606d369fc1da4fd8c357d026317fbb9c9b75d36dc16e90e84c26854b088 \
    --hash=sha256:748dcd1e3d3d7cd5443ef03ce8685043294ad6bd7c02a38d1bd367cfd968e000 \
    --hash=sha256:7651c50c8c5ef7bdb41108b7b8c5a83013bfaa8a935590c5d74627c047a583c7 \
    --hash=sha256:7b78010e7b97fef4bee1e896df8a4bbb6712b7f05b7ef630f9d1da00f6444d2e \
    --hash=sha256:7e61e3e4fa664a8588aa25c883eab612a188c725755afff6289454d6362b9673 \
    --hash=sha256:80876338e19c951fdfed6198e70bc88f1c9758b94578d5a7c4c91a87af3cf31c \
    --hash=sha256:8895613bcc094d4a1b2dbe179d88d7fb4a15cee43c052e8885783fac397d91fe \
    --hash=sha256:88e2b3c14bdb32e440be531ade29d3c50a1a59cd4e51b1dd8b0865c54ea5d2e2 \
    --hash=sha256:8f8e709127c6c77446a8c0a8c8bf3c8ee706a06cd44b1e827c3e6a2ee6b8c098 \
    --hash=sha256:9cb4a35b3642fc5c005a6755a5d17c6c8b6bcb6981baf81cea8bfbc8903e8ba8 \
    --hash=sha256:9f90389693731ff1f659e55c7d1640e2ec43ff725cc61b04b2f9c6d8d017df6a \
    --hash=sha256:a09582f178759ee8128d9270cd1344154fd473bb77d94ce0aeb2a93ebf0feaf0 \
    --hash=sha256:a6a14b17d7e17fa0d207ac08642c8820f84f25ce17a442fd15e27ea18d67c59b \
    --hash=sha256:a72e8961a86d19bdb45851d8f1f08b041ea37d2bd8d4fd19903bc3083d80c896 \
    --hash=sha256:abd808f9c129ba2beda4cfc53bde801e5bcf9d6e0f22f095e45327c038bfe68e \
    --hash=sha256:ac0f5edd2360eea2f1daa9e26a41db02dd4b0451b48f7c318e217ee092a213e9 \
    --hash=sha256:b29ebffcf550f9da55bec9e02ad430c992a87e5f512cd63388abb76f1036d8d2 \
    --hash=sha256:b2ca4e77f9f47c55c194982e10f058db063937845bb2b7a86c84a6cfe0aefa8b \
    --hash=sha256:b7be2d771cdba2942e13215c4e340bfd76398e9227ad10402a8767ab1865d2e6 \
    --hash=sha256:b84834d0cf97e7d27dd5b7f3aca7b6e9263c56308ab9dc8aae9784abb774d404 \
    --hash=sha256:b86851a328eedc692acf81fb05444bdf1891747c25af7529e39ddafaf68a4f3f \
    --hash=sha256:bcb3ef43e58665bbda2fb198698fcae6776483e0c4a631aa5647806c25e02cc0 \
    --hash=sha256:c0f31130ebc2d37cdd8e44605fb5fa7ad59049298b3f745c74fa74c62fbfcfc4 \
    --hash=sha256:c6a164aa47843fb1b01e941d385aab7215563bb8816d80ff3a363a9f8448a8dc \
    --hash=sha256:d8a9d3ebe49f084ad71f9269834ceccbf398253c9fac910c4fd7053ff1386936 \
    --hash=sha256:db8e577c19c0fda0beb7e0d4e09e0ba74b1e4c092e0e40bfa12fe05b6f6d75ba \
    --hash=sha256:dc9b18bf40cc75f66f40a7379f6a9513244fe33c0e8aa72e2d56b0196a7ef872 \
    --hash=sha256:e09f3ff613345df5e8c3667da1d918f9149bd623cd9070c983c013792a9a62eb \
    --hash=sha256:e4108df7fe9b707191e55f33efbcb2d81928e10cea45527879a4749cbe472614 \
    --hash=sha256:e6024675e67af929088fda399b2094574609396b1decb609c55fa58b028a32a1 \
    --hash=sha256:e70f54f1796669ef691ca07d046cd81a29cb4deb1e5f942003f401c0c4a2695d \
    --hash=sha256:e715596e683d2ce000574bae5d07bd522c781a822866c20495e52520564f0969 \
    --hash=sha256:e760191dd42581e023a68b758769e2da259b5d52e3103c6060ddc02c9edb8d7b \
    --hash=sha256:ed86a35631f7bfbb28e108dd96773b9d5a6ce4811cf6ea468bb6a359b256b1e4 \
    --hash=sha256:ee07e47c12890ef248766a6e55bd38ebfb2bb8edd4142d56db91b21ea68b7627 \
    --hash=sha256:fa3a0128b152627161ce47201262d3140edb5a5c3da88d73a1b790a959126956 \
    --hash=sha256:fcc8eb6d5902bb1cf6dc4f187ee3ea80a1eba0a89aba40a5cb20a5087d961357
    # via cryptography
charset-normalizer==2.1.1 \
    --hash=sha256:5a3d016c7c547f69d6f81fb0db9449ce888b418b5b9952cc5e6e66843e9dd845 \
    --hash=sha256:83e9a75d1911279afd89352c68b45348559d1fc0506b054b346651b5e7fee29f
    # via
    #   -r requirements.in
    #   requests
click==8.0.4 \
    --hash=sha256:6a7a62563bbfabfda3a38f3023a1db4a35978c0abd76f6c9605ecd6554d6d9b1 \
    --hash=sha256:8458d7b1287c5fb128c90e23381cf99dcde74beaf6c7ff6384ce84d6fe090adb
    # via
    #   -r requirements.in
    #   gcp-docuploader
    #   gcp-releasetool
colorlog==6.7.0 \
    --hash=sha256:0d33ca236784a1ba3ff9c532d4964126d8a2c44f1f0cb1d2b0728196f512f662 \
    --hash=sha256:bd94bd21c1e13fac7bd3153f4bc3a7dc0eb0974b8bc2fdf1a989e474f6e582e5
    # via
    #   gcp-docuploader
    #   nox
cryptography==42.0.5 \
    --hash=sha256:0270572b8bd2c833c3981724b8ee9747b3ec96f699a9665470018594301439ee \
    --hash=sha256:111a0d8553afcf8eb02a4fea6ca4f59d48ddb34497aa8706a6cf536f1a5ec576 \
    --hash=sha256:16a48c23a62a2f4a285699dba2e4ff2d1cff3115b9df052cdd976a18856d8e3d \
    --hash=sha256:1b95b98b0d2af784078fa69f637135e3c317091b615cd0905f8b8a087e86fa30 \
    --hash=sha256:1f71c10d1e88467126f0efd484bd44bca5e14c664ec2ede64c32f20875c0d413 \
    --hash=sha256:2424ff4c4ac7f6b8177b53c17ed5d8fa74ae5955656867f5a8affaca36a27abb \
    --hash=sha256:2bce03af1ce5a5567ab89bd90d11e7bbdff56b8af3acbbec1faded8f44cb06da \
    --hash=sha256:329906dcc7b20ff3cad13c069a78124ed8247adcac44b10bea1130e36caae0b4 \
    --hash=sha256:37dd623507659e08be98eec89323469e8c7b4c1407c85112634ae3dbdb926fdd \
    --hash=sha256:3eaafe47ec0d0ffcc9349e1708be2aaea4c6dd4978d76bf6eb0cb2c13636c6fc \
    --hash=sha256:5e6275c09d2badf57aea3afa80d975444f4be8d3bc58f7f80d2a484c6f9485c8 \
    --hash=sha256:6fe07eec95dfd477eb9530aef5bead34fec819b3aaf6c5bd6d20565da607bfe1 \
    --hash=sha256:7367d7b2eca6513681127ebad53b2582911d1736dc2ffc19f2c3ae49997496bc \
    --hash=sha256:7cde5f38e614f55e28d831754e8a3bacf9ace5d1566235e39d91b35502d6936e \
    --hash=sha256:9481ffe3cf013b71b2428b905c4f7a9a4f76ec03065b05ff499bb5682a8d9ad8 \
    --hash=sha256:98d8dc6d012b82287f2c3d26ce1d2dd130ec200c8679b6213b3c73c08b2b7940 \
    --hash=sha256:a011a644f6d7d03736214d38832e030d8268bcff4a41f728e6030325fea3e400 \
    --hash=sha256:a2913c5375154b6ef2e91c10b5720ea6e21007412f6437504ffea2109b5a33d7 \
    --hash=sha256:a30596bae9403a342c978fb47d9b0ee277699fa53bbafad14706af51fe543d16 \
    --hash=sha256:b03c2ae5d2f0fc05f9a2c0c997e1bc18c8229f392234e8a0194f202169ccd278 \
    --hash=sha256:b6cd2203306b63e41acdf39aa93b86fb566049aeb6dc489b70e34bcd07adca74 \
    --hash=sha256:b7ffe927ee6531c78f81aa17e684e2ff617daeba7f189f911065b2ea2d526dec \
    --hash=sha256:b8cac287fafc4ad485b8a9b67d0ee80c66bf3574f655d3b97ef2e1082360faf1 \
    --hash=sha256:ba334e6e4b1d92442b75ddacc615c5476d4ad55cc29b15d590cc6b86efa487e2 \
    --hash=sha256:ba3e4a42397c25b7ff88cdec6e2a16c2be18720f317506ee25210f6d31925f9c \
    --hash=sha256:c41fb5e6a5fe9ebcd58ca3abfeb51dffb5d83d6775405305bfa8715b76521922 \
    --hash=sha256:cd2030f6650c089aeb304cf093f3244d34745ce0cfcc39f20c6fbfe030102e2a \
    --hash=sha256:cd65d75953847815962c84a4654a84850b2bb4aed3f26fadcc1c13892e1e29f6 \
    --hash=sha256:e4985a790f921508f36f81831817cbc03b102d643b5fcb81cd33df3fa291a1a1 \
    --hash=sha256:e807b3188f9eb0eaa7bbb579b462c5ace579f1cedb28107ce8b48a9f7ad3679e \
    --hash=sha256:f12764b8fffc7a123f641d7d049d382b73f96a34117e0b637b80643169cec8ac \
    --hash=sha256:f8837fe1d6ac4a8052a9a8ddab256bc006242696f03368a4009be7ee3075cdb7
    # via
    #   -r requirements.in
    #   gcp-releasetool
    #   secretstorage
distlib==0.3.7 \
    --hash=sha256:2e24928bc811348f0feb63014e97aaae3037f2cf48712d51ae61df7fd6075057 \
    --hash=sha256:9dafe54b34a028eafd95039d5e5d4851a13734540f1331060d31c9916e7147a8
    # via virtualenv
docutils==0.20.1 \
    --hash=sha256:96f387a2c5562db4476f09f13bbab2192e764cac08ebbf3a34a95d9b1e4a59d6 \
    --hash=sha256:f08a4e276c3a1583a86dce3e34aba3fe04d02bba2dd51ed16106244e8a923e3b
    # via readme-renderer
filelock==3.13.1 \
    --hash=sha256:521f5f56c50f8426f5e03ad3b281b490a87ef15bc6c526f168290f0c7148d44e \
    --hash=sha256:57dbda9b35157b05fb3e58ee91448612eb674172fab98ee235ccb0b5bee19a1c
    # via virtualenv
gcp-docuploader==0.6.5 \
    --hash=sha256:30221d4ac3e5a2b9c69aa52fdbef68cc3f27d0e6d0d90e220fc024584b8d2318 \
    --hash=sha256:b7458ef93f605b9d46a4bf3a8dc1755dad1f31d030c8679edf304e343b347eea
    # via -r requirements.in
gcp-releasetool==2.0.0 \
    --hash=sha256:3d73480b50ba243f22d7c7ec08b115a30e1c7817c4899781840c26f9c55b8277 \
    --hash=sha256:7aa9fd935ec61e581eb8458ad00823786d91756c25e492f372b2b30962f3c28f
    # via -r requirements.in
google-api-core==2.12.0 \
    --hash=sha256:c22e01b1e3c4dcd90998494879612c38d0a3411d1f7b679eb89e2abe3ce1f553 \
    --hash=sha256:ec6054f7d64ad13b41e43d96f735acbd763b0f3b695dabaa2d579673f6a6e160
    # via
    #   google-cloud-core
    #   google-cloud-storage
google-auth==2.23.4 \
    --hash=sha256:79905d6b1652187def79d491d6e23d0cbb3a21d3c7ba0dbaa9c8a01906b13ff3 \
    --hash=sha256:d4bbc92fe4b8bfd2f3e8d88e5ba7085935da208ee38a134fc280e7ce682a05f2
    # via
    #   gcp-releasetool
    #   google-api-core
    #   google-cloud-core
    #   google-cloud-storage
google-cloud-core==2.3.3 \
    --hash=sha256:37b80273c8d7eee1ae816b3a20ae43585ea50506cb0e60f3cf5be5f87f1373cb \
    --hash=sha256:fbd11cad3e98a7e5b0343dc07cb1039a5ffd7a5bb96e1f1e27cee4bda4a90863
    # via google-cloud-storage
google-cloud-storage==2.13.0 \
    --hash=sha256:ab0bf2e1780a1b74cf17fccb13788070b729f50c252f0c94ada2aae0ca95437d \
    --hash=sha256:f62dc4c7b6cd4360d072e3deb28035fbdad491ac3d9b0b1815a12daea10f37c7
    # via gcp-docuploader
google-crc32c==1.5.0 \
    --hash=sha256:024894d9d3cfbc5943f8f230e23950cd4906b2fe004c72e29b209420a1e6b05a \
    --hash=sha256:02c65b9817512edc6a4ae7c7e987fea799d2e0ee40c53ec573a692bee24de876 \
    --hash=sha256:02ebb8bf46c13e36998aeaad1de9b48f4caf545e91d14041270d9dca767b780c \
    --hash=sha256:07eb3c611ce363c51a933bf6bd7f8e3878a51d124acfc89452a75120bc436289 \
    --hash=sha256:1034d91442ead5a95b5aaef90dbfaca8633b0247d1e41621d1e9f9db88c36298 \
    --hash=sha256:116a7c3c616dd14a3de8c64a965828b197e5f2d121fedd2f8c5585c547e87b02 \
    --hash=sha256:19e0a019d2c4dcc5e598cd4a4bc7b008546b0358bd322537c74ad47a5386884f \
    --hash=sha256:1c7abdac90433b09bad6c43a43af253e688c9cfc1c86d332aed13f9a7c7f65e2 \
    --hash=sha256:1e986b206dae4476f41bcec1faa057851f3889503a70e1bdb2378d406223994a \
    --hash=sha256:272d3892a1e1a2dbc39cc5cde96834c236d5327e2122d3aaa19f6614531bb6eb \

=== debian/changelog ===
python-proto-plus (1.24.0-2) unstable; urgency=medium

  * No source change upload to close bug issue that has
    already fixed. (Closes: #1072073)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 27 Jun 2024 10:00:00 +0000

python-proto-plus (1.24.0-1) unstable; urgency=medium

  * Updated to new upstream version 1.24.0.
  * d/control: Added Breaks: and Replaces: in the package
    python3-proto-plus. (Closes: #1074085)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Mon, 24 Jun 2024 20:00:00 +0000

python-proto-plus (1.23.0-3) unstable; urgency=medium

  * d/control: removed file Conflicts for python3-proto-plus
    binary. (Closes: #1072214)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Tue, 18 Jun 2024 15:30:00 +0000

python-proto-plus (1.23.0-2) unstable; urgency=medium

  * Source-only upload.
  * d/control: declared file Conflicts for python3-proto-plus
    binary. (Closes: #1072073)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 29 May 2024 20:15:00 +0000

python-proto-plus (1.23.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1071969)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sun, 26 May 2024 14:30:00 +0000

=== debian/control ===
Source: python-proto-plus
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/googleapis/proto-plus-python
Vcs-Git: https://salsa.debian.org/python-team/packages/python-proto-plus.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-proto-plus
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-protobuf,
               python3-pytest <!nocheck>,
               python3-googleapis-common-protos <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               libjs-jquery <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-proto-plus
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: nanopb (<< 0.4.8-2~)
Replaces: nanopb (<< 0.4.8-2~)
Description: Beautiful Pythonic protocol buffers
 This is a wrapper around protocol buffers. Protocol buffers
 is a specification format for APIs, such as those inside Google.
 This library provides protocol buffer message classes and objects
 that largely behave like native Python types.

Package: python-proto-plus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Documentation for python-proto-plus
 This is a wrapper around protocol buffers. Protocol buffers
 is a specification format for APIs, such as those inside Google.
 This library provides protocol buffer message classes and objects
 that largely behave like native Python types.
 .
 This package contains documentation for proto-plus.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=proto-plus

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	https_proxy='127.0.0.1:9' sphinx-build -b html docs build/sphinx/html

	# Replace .js files in the package with local URLs
	rm build/sphinx/html/_static/jquery.js
	sed -i 's|src="../_static/jquery.js?v=8dae8fb0"|src="file:////usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/_modules/index.html
	sed -i 's|src="../../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/_modules/proto/datetime_helpers.html
	sed -i 's|src="../../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/_modules/proto/enums.html
	sed -i 's|src="../../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/_modules/proto/fields.html
	sed -i 's|src="../../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/_modules/proto/message.html
	sed -i 's|src="../../../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/_modules/proto/marshal/marshal.html
	sed -i 's|src="../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/reference/datetime_helpers.html
	sed -i 's|src="../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/reference/index.html
	sed -i 's|src="../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/reference/marshal.html
	sed -i 's|src="../_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/reference/message.html
	sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/fields.html
	sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/genindex.html
	sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/index.html
	sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/marshal.html
	sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/messages.html
	sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/py-modindex.html
	sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/search.html
	sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:///usr/share/javascript/jquery/jquery.js"|g' build/sphinx/html/status.html

	# Removing embedded javascript libraries, no replacements available in Debian
	rm build/sphinx/html/_static/doctools.js
	rm build/sphinx/html/_static/searchtools.js
	rm build/sphinx/html/_static/language_data.js

	# Remove python-doctree-files
	rm -rf build/sphinx/html/.doctrees

	# Remove fonts from the package
	rm -rf build/sphinx/html/_static/fonts

	dh_installdocs -ppython-proto-plus-doc --doc-main-package=python-proto-plus-doc build/sphinx/html
	dh_installdocs

## python-proto-plus 1.25.0

=== debian/changelog ===
python-proto-plus (1.25.0-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090156).

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Dec 2024 02:39:57 +0000

python-proto-plus (1.25.0-1) unstable; urgency=medium

  * New upstream version 1.25.0.
  * d/control: update uploaders email ID.
  * d/copyright: update debian/* copyright email ID.
  * d/rules: replace jquery.js with local paths.

 -- Yogeswaran Umasankar <yogu@debian.org>  Mon, 21 Oct 2024 18:51:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-proto-plus
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
+Uploaders: Yogeswaran Umasankar <yogu@debian.org>
 Homepage: https://github.com/googleapis/proto-plus-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-proto-plus.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-proto-plus

## python-proto-plus 1.26.0

=== .kokoro/docker/docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile --allow-unsafe --generate-hashes requirements.in
#
argcomplete==3.5.3 \
    --hash=sha256:2ab2c4a215c59fd6caaff41a869480a23e8f6a5f910b266c1808037f4e375b61 \
    --hash=sha256:c12bf50eded8aebb298c7b7da7a5ff3ee24dffd9f5281867dfe1424b58c55392
    # via nox
cachetools==5.5.0 \
    --hash=sha256:02134e8439cdc2ffb62023ce1debca2944c3f289d66bb17ead3ab3dede74b292 \
    --hash=sha256:2cc24fb4cbe39633fb7badd9db9ca6295d766d9c2995f245725a46715d050f2a
    # via google-auth
certifi==2024.12.14 \
    --hash=sha256:1275f7a45be9464efc1173084eaa30f866fe2e47d389406136d332ed4967ec56 \
    --hash=sha256:b650d30f370c2b724812bee08008be0c4163b163ddaec3f2546c1caf65f191db
    # via requests
charset-normalizer==3.4.1 \
    --hash=sha256:0167ddc8ab6508fe81860a57dd472b2ef4060e8d378f0cc555707126830f2537 \
    --hash=sha256:01732659ba9b5b873fc117534143e4feefecf3b2078b0a6a2e925271bb6f4cfa \
    --hash=sha256:01ad647cdd609225c5350561d084b42ddf732f4eeefe6e678765636791e78b9a \
    --hash=sha256:04432ad9479fa40ec0f387795ddad4437a2b50417c69fa275e212933519ff294 \
    --hash=sha256:0907f11d019260cdc3f94fbdb23ff9125f6b5d1039b76003b5b0ac9d6a6c9d5b \
    --hash=sha256:0924e81d3d5e70f8126529951dac65c1010cdf117bb75eb02dd12339b57749dd \
    --hash=sha256:09b26ae6b1abf0d27570633b2b078a2a20419c99d66fb2823173d73f188ce601 \
    --hash=sha256:09b5e6733cbd160dcc09589227187e242a30a49ca5cefa5a7edd3f9d19ed53fd \
    --hash=sha256:0af291f4fe114be0280cdd29d533696a77b5b49cfde5467176ecab32353395c4 \
    --hash=sha256:0f55e69f030f7163dffe9fd0752b32f070566451afe180f99dbeeb81f511ad8d \
    --hash=sha256:1a2bc9f351a75ef49d664206d51f8e5ede9da246602dc2d2726837620ea034b2 \
    --hash=sha256:22e14b5d70560b8dd51ec22863f370d1e595ac3d024cb8ad7d308b4cd95f8313 \
    --hash=sha256:234ac59ea147c59ee4da87a0c0f098e9c8d169f4dc2a159ef720f1a61bbe27cd \
    --hash=sha256:2369eea1ee4a7610a860d88f268eb39b95cb588acd7235e02fd5a5601773d4fa \
    --hash=sha256:237bdbe6159cff53b4f24f397d43c6336c6b0b42affbe857970cefbb620911c8 \
    --hash=sha256:28bf57629c75e810b6ae989f03c0828d64d6b26a5e205535585f96093e405ed1 \
    --hash=sha256:2967f74ad52c3b98de4c3b32e1a44e32975e008a9cd2a8cc8966d6a5218c5cb2 \
    --hash=sha256:2a75d49014d118e4198bcee5ee0a6f25856b29b12dbf7cd012791f8a6cc5c496 \
    --hash=sha256:2bdfe3ac2e1bbe5b59a1a63721eb3b95fc9b6817ae4a46debbb4e11f6232428d \
    --hash=sha256:2d074908e1aecee37a7635990b2c6d504cd4766c7bc9fc86d63f9c09af3fa11b \
    --hash=sha256:2fb9bd477fdea8684f78791a6de97a953c51831ee2981f8e4f583ff3b9d9687e \
    --hash=sha256:311f30128d7d333eebd7896965bfcfbd0065f1716ec92bd5638d7748eb6f936a \
    --hash=sha256:329ce159e82018d646c7ac45b01a430369d526569ec08516081727a20e9e4af4 \
    --hash=sha256:345b0426edd4e18138d6528aed636de7a9ed169b4aaf9d61a8c19e39d26838ca \
    --hash=sha256:363e2f92b0f0174b2f8238240a1a30142e3db7b957a5dd5689b0e75fb717cc78 \
    --hash=sha256:3a3bd0dcd373514dcec91c411ddb9632c0d7d92aed7093b8c3bbb6d69ca74408 \
    --hash=sha256:3bed14e9c89dcb10e8f3a29f9ccac4955aebe93c71ae803af79265c9ca5644c5 \
    --hash=sha256:44251f18cd68a75b56585dd00dae26183e102cd5e0f9f1466e6df5da2ed64ea3 \
    --hash=sha256:44ecbf16649486d4aebafeaa7ec4c9fed8b88101f4dd612dcaf65d5e815f837f \
    --hash=sha256:4532bff1b8421fd0a320463030c7520f56a79c9024a4e88f01c537316019005a \
    --hash=sha256:49402233c892a461407c512a19435d1ce275543138294f7ef013f0b63d5d3765 \
    --hash=sha256:4c0907b1928a36d5a998d72d64d8eaa7244989f7aaaf947500d3a800c83a3fd6 \
    --hash=sha256:4d86f7aff21ee58f26dcf5ae81a9addbd914115cdebcbb2217e4f0ed8982e146 \
    --hash=sha256:5777ee0881f9499ed0f71cc82cf873d9a0ca8af166dfa0af8ec4e675b7df48e6 \
    --hash=sha256:5df196eb874dae23dcfb968c83d4f8fdccb333330fe1fc278ac5ceeb101003a9 \
    --hash=sha256:619a609aa74ae43d90ed2e89bdd784765de0a25ca761b93e196d938b8fd1dbbd \
    --hash=sha256:6e27f48bcd0957c6d4cb9d6fa6b61d192d0b13d5ef563e5f2ae35feafc0d179c \
    --hash=sha256:6ff8a4a60c227ad87030d76e99cd1698345d4491638dfa6673027c48b3cd395f \
    --hash=sha256:73d94b58ec7fecbc7366247d3b0b10a21681004153238750bb67bd9012414545 \
    --hash=sha256:7461baadb4dc00fd9e0acbe254e3d7d2112e7f92ced2adc96e54ef6501c5f176 \
    --hash=sha256:75832c08354f595c760a804588b9357d34ec00ba1c940c15e31e96d902093770 \
    --hash=sha256:7709f51f5f7c853f0fb938bcd3bc59cdfdc5203635ffd18bf354f6967ea0f824 \
    --hash=sha256:78baa6d91634dfb69ec52a463534bc0df05dbd546209b79a3880a34487f4b84f \
    --hash=sha256:7974a0b5ecd505609e3b19742b60cee7aa2aa2fb3151bc917e6e2646d7667dcf \
    --hash=sha256:7a4f97a081603d2050bfaffdefa5b02a9ec823f8348a572e39032caa8404a487 \
    --hash=sha256:7b1bef6280950ee6c177b326508f86cad7ad4dff12454483b51d8b7d673a2c5d \
    --hash=sha256:7d053096f67cd1241601111b698f5cad775f97ab25d81567d3f59219b5f1adbd \
    --hash=sha256:804a4d582ba6e5b747c625bf1255e6b1507465494a40a2130978bda7b932c90b \
    --hash=sha256:807f52c1f798eef6cf26beb819eeb8819b1622ddfeef9d0977a8502d4db6d534 \
    --hash=sha256:80ed5e856eb7f30115aaf94e4a08114ccc8813e6ed1b5efa74f9f82e8509858f \
    --hash=sha256:8417cb1f36cc0bc7eaba8ccb0e04d55f0ee52df06df3ad55259b9a323555fc8b \
    --hash=sha256:8436c508b408b82d87dc5f62496973a1805cd46727c34440b0d29d8a2f50a6c9 \
    --hash=sha256:89149166622f4db9b4b6a449256291dc87a99ee53151c74cbd82a53c8c2f6ccd \
    --hash=sha256:8bfa33f4f2672964266e940dd22a195989ba31669bd84629f05fab3ef4e2d125 \
    --hash=sha256:8c60ca7339acd497a55b0ea5d506b2a2612afb2826560416f6894e8b5770d4a9 \
    --hash=sha256:91b36a978b5ae0ee86c394f5a54d6ef44db1de0815eb43de826d41d21e4af3de \
    --hash=sha256:955f8851919303c92343d2f66165294848d57e9bba6cf6e3625485a70a038d11 \
    --hash=sha256:97f68b8d6831127e4787ad15e6757232e14e12060bec17091b85eb1486b91d8d \
    --hash=sha256:9b23ca7ef998bc739bf6ffc077c2116917eabcc901f88da1b9856b210ef63f35 \
    --hash=sha256:9f0b8b1c6d84c8034a44893aba5e767bf9c7a211e313a9605d9c617d7083829f \
    --hash=sha256:aabfa34badd18f1da5ec1bc2715cadc8dca465868a4e73a0173466b688f29dda \
    --hash=sha256:ab36c8eb7e454e34e60eb55ca5d241a5d18b2c6244f6827a30e451c42410b5f7 \
    --hash=sha256:b010a7a4fd316c3c484d482922d13044979e78d1861f0e0650423144c616a46a \
    --hash=sha256:b1ac5992a838106edb89654e0aebfc24f5848ae2547d22c2c3f66454daa11971 \
    --hash=sha256:b7b2d86dd06bfc2ade3312a83a5c364c7ec2e3498f8734282c6c3d4b07b346b8 \
    --hash=sha256:b97e690a2118911e39b4042088092771b4ae3fc3aa86518f84b8cf6888dbdb41 \
    --hash=sha256:bc2722592d8998c870fa4e290c2eec2c1569b87fe58618e67d38b4665dfa680d \
    --hash=sha256:c0429126cf75e16c4f0ad00ee0eae4242dc652290f940152ca8c75c3a4b6ee8f \
    --hash=sha256:c30197aa96e8eed02200a83fba2657b4c3acd0f0aa4bdc9f6c1af8e8962e0757 \
    --hash=sha256:c4c3e6da02df6fa1410a7680bd3f63d4f710232d3139089536310d027950696a \
    --hash=sha256:c75cb2a3e389853835e84a2d8fb2b81a10645b503eca9bcb98df6b5a43eb8886 \
    --hash=sha256:c96836c97b1238e9c9e3fe90844c947d5afbf4f4c92762679acfe19927d81d77 \
    --hash=sha256:d7f50a1f8c450f3925cb367d011448c39239bb3eb4117c36a6d354794de4ce76 \
    --hash=sha256:d973f03c0cb71c5ed99037b870f2be986c3c05e63622c017ea9816881d2dd247 \
    --hash=sha256:d98b1668f06378c6dbefec3b92299716b931cd4e6061f3c875a71ced1780ab85 \
    --hash=sha256:d9c3cdf5390dcd29aa8056d13e8e99526cda0305acc038b96b30352aff5ff2bb \
    --hash=sha256:dad3e487649f498dd991eeb901125411559b22e8d7ab25d3aeb1af367df5efd7 \
    --hash=sha256:dccbe65bd2f7f7ec22c4ff99ed56faa1e9f785482b9bbd7c717e26fd723a1d1e \
    --hash=sha256:dd78cfcda14a1ef52584dbb008f7ac81c1328c0f58184bf9a84c49c605002da6 \
    --hash=sha256:e218488cd232553829be0664c2292d3af2eeeb94b32bea483cf79ac6a694e037 \
    --hash=sha256:e358e64305fe12299a08e08978f51fc21fac060dcfcddd95453eabe5b93ed0e1 \
    --hash=sha256:ea0d8d539afa5eb2728aa1932a988a9a7af94f18582ffae4bc10b3fbdad0626e \
    --hash=sha256:eab677309cdb30d047996b36d34caeda1dc91149e4fdca0b1a039b3f79d9a807 \
    --hash=sha256:eb8178fe3dba6450a3e024e95ac49ed3400e506fd4e9e5c32d30adda88cbd407 \
    --hash=sha256:ecddf25bee22fe4fe3737a399d0d177d72bc22be6913acfab364b40bce1ba83c \
    --hash=sha256:eea6ee1db730b3483adf394ea72f808b6e18cf3cb6454b4d86e04fa8c4327a12 \
    --hash=sha256:f08ff5e948271dc7e18a35641d2f11a4cd8dfd5634f55228b691e62b37125eb3 \
    --hash=sha256:f30bf9fd9be89ecb2360c7d94a711f00c09b976258846efe40db3d05828e8089 \
    --hash=sha256:fa88b843d6e211393a37219e6a1c1df99d35e8fd90446f1118f4216e307e48cd \
    --hash=sha256:fc54db6c8593ef7d4b2a331b58653356cf04f67c960f584edb7c3d8c97e8f39e \
    --hash=sha256:fd4ec41f914fa74ad1b8304bbc634b3de73d2a0889bd32076342a573e0779e00 \
    --hash=sha256:ffc9202a29ab3920fa812879e95a9e78b2465fd10be7fcbd042899695d75e616
    # via requests
click==8.1.8 \
    --hash=sha256:63c132bbbed01578a06712a2d1f497bb62d9c1c0d329b7903a866228027263b2 \
    --hash=sha256:ed53c9d8990d83c2a27deae68e4ee337473f6330c040a31d4225c9574d16096a
    # via gcp-docuploader
colorlog==6.9.0 \
    --hash=sha256:5906e71acd67cb07a71e779c47c4bcb45fb8c2993eebe9e5adcd6a6f1b283eff \
    --hash=sha256:bfba54a1b93b94f54e1f4fe48395725a3d92fd2a4af702f6bd70946bdc0c6ac2
    # via
    #   gcp-docuploader
    #   nox
distlib==0.3.9 \
    --hash=sha256:47f8c22fd27c27e25a65601af709b38e4f0a45ea4fc2e710f65755fa8caaaf87 \
    --hash=sha256:a60f20dea646b8a33f3e7772f74dc0b2d0772d2837ee1342a00645c81edf9403
    # via virtualenv
filelock==3.16.1 \
    --hash=sha256:2082e5703d51fbf98ea75855d9d5527e33d8ff23099bec374a134febee6946b0 \
    --hash=sha256:c249fbfcd5db47e5e2d6d62198e565475ee65e4831e2561c8e313fa7eb961435
    # via virtualenv
gcp-docuploader==0.6.5 \
    --hash=sha256:30221d4ac3e5a2b9c69aa52fdbef68cc3f27d0e6d0d90e220fc024584b8d2318 \
    --hash=sha256:b7458ef93f605b9d46a4bf3a8dc1755dad1f31d030c8679edf304e343b347eea
    # via -r requirements.in
google-api-core==2.24.0 \
    --hash=sha256:10d82ac0fca69c82a25b3efdeefccf6f28e02ebb97925a8cce8edbfe379929d9 \
    --hash=sha256:e255640547a597a4da010876d333208ddac417d60add22b6851a0c66a831fcaf
    # via
    #   google-cloud-core
    #   google-cloud-storage
google-auth==2.37.0 \
    --hash=sha256:0054623abf1f9c83492c63d3f47e77f0a544caa3d40b2d98e099a611c2dd5d00 \
    --hash=sha256:42664f18290a6be591be5329a96fe30184be1a1badb7292a7f686a9659de9ca0
    # via
    #   google-api-core
    #   google-cloud-core
    #   google-cloud-storage
google-cloud-core==2.4.1 \
    --hash=sha256:9b7749272a812bde58fff28868d0c5e2f585b82f37e09a1f6ed2d4d10f134073 \
    --hash=sha256:a9e6a4422b9ac5c29f79a0ede9485473338e2ce78d91f2370c01e730eab22e61
    # via google-cloud-storage
google-cloud-storage==2.19.0 \
    --hash=sha256:aeb971b5c29cf8ab98445082cbfe7b161a1f48ed275822f59ed3f1524ea54fba \
    --hash=sha256:cd05e9e7191ba6cb68934d8eb76054d9be4562aa89dbc4236feee4d7d51342b2
    # via gcp-docuploader
google-crc32c==1.6.0 \
    --hash=sha256:05e2d8c9a2f853ff116db9706b4a27350587f341eda835f46db3c0a8c8ce2f24 \
    --hash=sha256:18e311c64008f1f1379158158bb3f0c8d72635b9eb4f9545f8cf990c5668e59d \
    --hash=sha256:236c87a46cdf06384f614e9092b82c05f81bd34b80248021f729396a78e55d7e \
    --hash=sha256:35834855408429cecf495cac67ccbab802de269e948e27478b1e47dfb6465e57 \
    --hash=sha256:386122eeaaa76951a8196310432c5b0ef3b53590ef4c317ec7588ec554fec5d2 \
    --hash=sha256:40b05ab32a5067525670880eb5d169529089a26fe35dce8891127aeddc1950e8 \
    --hash=sha256:48abd62ca76a2cbe034542ed1b6aee851b6f28aaca4e6551b5599b6f3ef175cc \
    --hash=sha256:50cf2a96da226dcbff8671233ecf37bf6e95de98b2a2ebadbfdf455e6d05df42 \
    --hash=sha256:51c4f54dd8c6dfeb58d1df5e4f7f97df8abf17a36626a217f169893d1d7f3e9f \
    --hash=sha256:5bcc90b34df28a4b38653c36bb5ada35671ad105c99cfe915fb5bed7ad6924aa \
    --hash=sha256:62f6d4a29fea082ac4a3c9be5e415218255cf11684ac6ef5488eea0c9132689b \
    --hash=sha256:6eceb6ad197656a1ff49ebfbbfa870678c75be4344feb35ac1edf694309413dc \
    --hash=sha256:7aec8e88a3583515f9e0957fe4f5f6d8d4997e36d0f61624e70469771584c760 \
    --hash=sha256:91ca8145b060679ec9176e6de4f89b07363d6805bd4760631ef254905503598d \

=== debian/changelog ===
python-proto-plus (1.26.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Feb 2025 16:09:04 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-protobuf,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=proto-plus

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	https_proxy='127.0.0.1:9' sphinx-build -b html docs build/sphinx/html

	# Replace jquery.js with local paths
	rm build/sphinx/html/_static/jquery.js
	find -type f -name "*.html" -exec sed -i 's|src="../_static/jquery.js?v=8dae8fb0"|src="file:////usr/share/javascript/jquery/jquery.js"|g' {} +
	find -type f -name "*.html" -exec sed -i 's|src="../../_static/jquery.js?v=8dae8fb0"|src="file:////usr/share/javascript/jquery/jquery.js"|g' {} +
	find -type f -name "*.html" -exec sed -i 's|src="../../../_static/jquery.js?v=8dae8fb0"|src="file:////usr/share/javascript/jquery/jquery.js"|g' {} +
	find -type f -name "*.html" -exec sed -i 's|src="_static/jquery.js?v=8dae8fb0"|src="file:////usr/share/javascript/jquery/jquery.js"|g' {} +

	# Removing embedded javascript libraries, no replacements available in Debian
	rm build/sphinx/html/_static/doctools.js
	rm build/sphinx/html/_static/searchtools.js
	rm build/sphinx/html/_static/language_data.js

	# Remove python-doctree-files
	rm -rf build/sphinx/html/.doctrees

	# Remove fonts from the package
	rm -rf build/sphinx/html/_static/fonts

	dh_installdocs -ppython-proto-plus-doc --doc-main-package=python-proto-plus-doc build/sphinx/html
	dh_installdocs

=== debian/watch ===
version=4
https://github.com/googleapis/proto-plus-python/tags .*/v(\d+\.\d+\.\d+)\.tar\.gz

## python-proto-plus 1.26.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = APIClientGeneratorforPython
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-proto-plus (1.26.1-1) unstable; urgency=medium

  * New upstream version 1.26.1.
  * d/control: bump Standards-Version to 4.7.2.
  * Add d/salsa-ci.yml.
  * d/copyright: update debian/* copyright year.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 28 Mar 2025 20:48:17 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                libjs-jquery <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-proto-plus

## python-proto-plus 1.27.0

=== debian/changelog ===
python-proto-plus (1.27.0-1) unstable; urgency=medium

  * New upstream version 1.27.0.
  * d/control: bump Standards-Version to 4.7.3.
  * d/copyright: update debian/* copyright year.
  * d/watch: bump to version 5.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 31 Jan 2026 02:50:58 +0000

## python-proto-plus 1.27.1

=== debian/changelog ===
python-proto-plus (1.27.1-1) unstable; urgency=medium

  * New upstream version 1.27.1.
  * Add d/source/options.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 06 Feb 2026 21:08:21 +0000

=== debian/control ===
Source: python-proto-plus
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/googleapis/proto-plus-python
Vcs-Git: https://salsa.debian.org/python-team/packages/python-proto-plus.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-proto-plus
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libjs-jquery <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-googleapis-common-protos <!nocheck>,
 python3-protobuf,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild

Package: python3-proto-plus
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 nanopb (<< 0.4.8-2~),
Replaces:
 nanopb (<< 0.4.8-2~),
Description: Beautiful Pythonic protocol buffers
 This is a wrapper around protocol buffers. Protocol buffers
 is a specification format for APIs, such as those inside Google.
 This library provides protocol buffer message classes and objects
 that largely behave like native Python types.

Package: python-proto-plus-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-proto-plus
 This is a wrapper around protocol buffers. Protocol buffers
 is a specification format for APIs, such as those inside Google.
 This library provides protocol buffer message classes and objects
 that largely behave like native Python types.
 .
 This package contains documentation for proto-plus.

=== debian/watch ===
Version: 5
Template: GitHub
Owner: googleapis
Project: proto-plus-python
Version-Type: SEMANTIC_VERSION
